Name: xmlsec1
Version: 1.2.10
Release: alt1
License: MIT
Summary: Library providing support for "XML Signature" and "XML Encryption" standards
URL: http://www.aleksey.com/xmlsec/
Group: System/Libraries

Source: %name-%version.tar.gz

# Automatically added by buildreq on Fri Dec 23 2005
BuildRequires: gcc-c++ libgcrypt-devel libgnutls-devel libgpg-error-devel
BuildRequires: libnspr-devel libnss-devel libssl-devel libstdc++-devel
BuildRequires: libtasn1-devel libxml2-devel libxslt-devel pkg-config zlib-devel

%description
XML Security Library is a C library based on LibXML2  and OpenSSL. 
The library was created with a goal to support major XML security 
standards "XML Digital Signature" and "XML Encryption".

%package -n lib%name
Summary: Library providing support for "XML Signature" and "XML Encryption" standards
Group: System/Libraries

%description -n lib%name
XML Security Library is a C library based on LibXML2  and OpenSSL. 
The library was created with a goal to support major XML security 
standards "XML Digital Signature" and "XML Encryption".

%package -n lib%name-devel
Summary: Libraries, includes, etc. to develop applications with XML Digital Signatures and XML Encryption support.
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries, includes, etc. you can use to develop applications with XML Digital 
Signatures and XML Encryption support.

%package -n lib%name-openssl
Summary: OpenSSL crypto plugin for XML Security Library
Group: System/Libraries

%description -n lib%name-openssl
OpenSSL plugin for XML Security Library provides OpenSSL based crypto services
for the xmlsec library

%package -n lib%name-openssl-devel
Summary: OpenSSL crypto plugin for XML Security Library
Group: Development/C
Requires: lib%name-openssl = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-openssl-devel
Libraries, includes, etc. for developing XML Security applications with OpenSSL

%package -n lib%name-gnutls
Summary: GNUTls crypto plugin for XML Security Library
Group: System/Libraries

%description -n lib%name-gnutls
GNUTls plugin for XML Security Library provides GNUTls based crypto services
for the xmlsec library

%package -n lib%name-gnutls-devel
Summary: GNUTls crypto plugin for XML Security Library
Group: Development/C
Requires: lib%name-gnutls = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-gnutls-devel
Libraries, includes, etc. for developing XML Security applications with GNUTls

%package -n lib%name-nss
Summary: NSS crypto plugin for XML Security Library
Group: System/Libraries

%description -n lib%name-nss
NSS plugin for XML Security Library provides NSS based crypto services
for the xmlsec library

%package -n lib%name-nss-devel
Summary: NSS crypto plugin for XML Security Library
Group: Development/C
Requires: lib%name-nss = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-nss-devel
Libraries, includes, etc. for developing XML Security applications with NSS

%def_disable static

%prep
%setup -q

%build
%configure \
	--with-html-dir=%_docdir/lib%name-devel-%version \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%post -n lib%name-openssl
%post_ldconfig

%postun -n lib%name-openssl
%postun_ldconfig

%post -n lib%name-gnutls
%post_ldconfig

%postun -n lib%name-gnutls
%postun_ldconfig

%post -n lib%name-nss
%post_ldconfig

%postun -n lib%name-nss
%postun_ldconfig

%files -n lib%name
%doc AUTHORS ChangeLog NEWS README Copyright
%_libdir/libxmlsec1.so.*
%_bindir/xmlsec1
%_man1dir/xmlsec1.1*

%files -n lib%name-devel
%_docdir/lib%name-devel-%version
%_bindir/xmlsec1-config
%dir %_includedir/xmlsec1
%dir %_includedir/xmlsec1/xmlsec
%dir %_includedir/xmlsec1/xmlsec/private
%_includedir/xmlsec1/xmlsec/*.h
%_includedir/xmlsec1/xmlsec/private/*.h
%_libdir/xmlsec1Conf.sh
%_libdir/libxmlsec1.so
%_pkgconfigdir/xmlsec1.pc
%_man1dir/xmlsec1-config.1*

%files -n lib%name-openssl
%_libdir/libxmlsec1-openssl.so.*

%files -n lib%name-openssl-devel
%dir %_includedir/xmlsec1
%dir %_includedir/xmlsec1/xmlsec
%dir %_includedir/xmlsec1/xmlsec/openssl
%_includedir/xmlsec1/xmlsec/openssl/*.h
%_libdir/libxmlsec1-openssl.so
%_pkgconfigdir/xmlsec1-openssl.pc

%files -n lib%name-gnutls
%_libdir/libxmlsec1-gnutls.so.*

%files -n lib%name-gnutls-devel
%dir %_includedir/xmlsec1
%dir %_includedir/xmlsec1/xmlsec
%dir %_includedir/xmlsec1/xmlsec/gnutls
%_includedir/xmlsec1/xmlsec/gnutls/*.h
%_libdir/libxmlsec1-gnutls.so
%_pkgconfigdir/xmlsec1-gnutls.pc

%files -n lib%name-nss
%_libdir/libxmlsec1-nss.so.*

%files -n lib%name-nss-devel
%dir %_includedir/xmlsec1
%dir %_includedir/xmlsec1/xmlsec
%dir %_includedir/xmlsec1/xmlsec/nss
%_includedir/xmlsec1/xmlsec/nss/*.h
%_libdir/libxmlsec1-nss.so
%_pkgconfigdir/xmlsec1-nss.pc

%changelog
* Sat Mar 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.2.10-alt1
- 1.2.10

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.9-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Tue Jul 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.9-alt1
- initial release


